QGIS Application - Bug report #10850
self referencing relations are not working
2014-07-08 09:52 AM - zicke -

Status: Closed

Priority: Normal

Assignee: Matthias Kuhn

Category: Relations

Affected QGIS version:2.4.0 Regression?: No
Operating System: Ubuntu Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 19222
Description

Self referencing relations (= same layer for referencing layer and referenced layer) are not working. QGIS eats 100% CPU. Debug output:
src/core/qgsrelation.cpp: 177: (getRelatedFeaturesRequest) Filter conditions: "id" ="
src/gui/attributetable/qgsattributetablemodel.cpp: 41: (QgsAttribute TableModel) entered.
src/gui/attributetable/ggsattributetablemodel.cpp: 288: (loadLayer) entered.
src/core/qgsrelation.cpp: 177: (getRelatedFeaturesRequest) Filter conditions: "id" ="'
src/gui/attributetable/qgsattributetablemodel.cpp: 41: (QgsAttribute TableModel) entered.
src/gui/attributetable/qgsattributetablemodel.cpp: 288: (loadLayer) entered.
src/core/qgsrelation.cpp: 177: (getRelatedFeaturesRequest) Filter conditions: "id" ="'
src/gui/attributetable/ggsattributetablemodel.cpp: 41: (QgsAttribute TableModel) entered.
src/gui/attributetable/qgsattributetablemodel.cpp: 288: (loadLayer) entered.
src/core/qgsrelation.cpp: 177: (getRelatedFeaturesRequest) Filter conditions: "id" ="

src/gui/attributetable/qgsattributetablemodel.cpp: 41: (QgsAttribute TableModel) entered.
src/gui/attributetable/ggsattributetablemodel.cpp: 288: (loadLayer) entered.

Test project is attached.

Associated revisions

Revision b1a2bef1 - 2014-09-12 09:30 AM - Matthias Kuhn

[relation widgets] General update

- Improve speed (lazy loading)

- Loop detection for circular dependencies (Fix #10850)
- Some memory leaks fixed

- More const-correctness

- Fix the attribute editor context

History

#1 - 2014-07-08 02:46 PM - Giovanni Manghi

- Category set to Relations

#2 - 2014-09-12 12:30 AM - Matthias Kuhn
- Status changed from Open to Closed

2025-05-21 12




Fixed in changeset commit:"b1a2bef1fc9e1b2b323855aa252338d0ed2912f9".

Files

relations.zip 7.45 KB 2014-07-08 zicke -
